Subject: Reflections on Software Research
From: Dennis Ritchie <[email-masked]>
To: Alan Turing <[email-masked]>
Date: Mon, 24 Oct 1983 12:00:00 -0400

The UNIX operating system has suddenly become news, but it is not new. It 
began in 1969 when Ken Thompson discovered a little-used PDP-7 computer and 
set out to fashion a computing environment that he liked, His work soon 
attracted me; I joined in the enterprise, though most of the ideas, and 
most of the work for that matter, were his. Before long, others from our 
group in the research area of AT&T Bell Laboratories were using the system; 
Joe Ossanna, Doug Mcllroy, and 
Bob Morris were especially enthusiastic critics and contributors, tn 1971, 
we acquired a PDP-11, and by the end of that year we were supporting our 
first real users: three typists entering patent applications. In 1973, the 
system was rewritten in the C language, and in that year, too, it was first 
described publicly at the Operating Systems Principles conference; the 
resulting paper appeared in Communications of the ACM the next year.